For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
      • GETReturns all task statuses of the project with the specified id.
      • POSTCreates a new task status for the specified project.
      • GETReturns the specified task status of a project.
      • PUTUpdates a task status for the specified project.
      • POSTDeletes the task status with the specified id.
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceTask Statuses

Updates a task status for the specified project.

PUT
https://api.awork.com/api/v1/projects/:projectId/taskstatuses/:taskStatusId
PUT
/api/v1/projects/:projectId/taskstatuses/:taskStatusId
$curl -X PUT https://api.awork.com/api/v1/projects/projectId/taskstatuses/taskStatusId \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "Conceptualization",
> "type": "progress"
>}'
1{
2 "id": "123e4567-e89b-12d3-a456-426614174000",
3 "name": "Conceptualize",
4 "type": "progress",
5 "order": 2,
6 "icon": "arrow_forward",
7 "projectId": "123e4567-e89b-12d3-a456-426614174000",
8 "projectTypeId": "123e4567-e89b-12d3-a456-426614174000",
9 "workflowId": "123e4567-e89b-12d3-a456-426614174000",
10 "createdOn": "2022-03-{10}T15:51:58.100Z",
11 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
12 "updatedOn": "2022-03-10T16:15:26.100Z",
13 "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
14 "isExternal": true
15}
The status type cannot be changed if it is the last status of type 'todo' or 'done'. <Check title="Required Permissions" icon="key">The user must either have `project-planning-data:write` permissions or be creator of the project.</Check>
Was this page helpful?
Previous

Deletes the task status with the specified id.

Next
Built with

The status type cannot be changed if it is the last status of type ‘todo’ or ‘done’.

Required Permissions
The user must either have project-planning-data:write permissions or be creator of the project.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"
The id of the project.
taskStatusIdstringRequiredformat: "uuid"
The id of the task status to update.

Request

The tmodel containing the task status data.
namestringRequired1-30 characters
The name of the task status.
typestringRequired>=1 character

Specifies the general type of this task status. Accepted values: ‘todo’, ‘progress’, ‘review’, ‘stuck’, ‘done’.

orderdouble or nullOptional
The order of the task status. If it is null, the task status will be appended after the last task status.
iconstring or nullOptional
The icon of the task status.

Response

OK
idstringformat: "uuid"
The primary identifier of this task status.
namestring or null
The name of the task status.
typestring or null
Of what general type is this task status?.
orderdouble or null
The order of the task status in a project.
iconstring or null
The icon of the task status.
projectIdstring or nullformat: "uuid"
Is set if the task status is related to a project.
projectTypeIdstring or nullformat: "uuid"
Is set if the task status is related to a project type.
workflowIdstring or nullformat: "uuid"
Is set if the task status is related to a workflow.
createdOnstringformat: "date-time"
The date this entity was created.
createdBystringformat: "uuid"
The id of the user who created this entity.
updatedOnstringformat: "date-time"
The date this entity was last modified.
updatedBystringformat: "uuid"
The id of the user who last modified this entity.
isExternalboolean

True if the task status is coming from an external workspace (awork Connect).

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error